khtml::RenderObject class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# khtml::RenderObject Class Reference

Base Class for all rendering tree objects. More...

`#include <render_object.h>`

Inheritance diagram for khtml::RenderObject:

[legend]
Collaboration diagram for khtml::RenderObject:

[legend]
List of all members.

## Public Types
enum | BorderSide { BSTop, BSBottom, BSLeft, BSRight }
enum | SelectionState { SelectionNone, SelectionStart, SelectionInside, SelectionEnd, SelectionBoth }
## Public Member Functions
| RenderObject (DOM::NodeImpl *node)
RenderObject * | parent () const
RenderObject * | previousSibling () const
RenderObject * | nextSibling () const
virtual RenderObject * | firstChild () const
virtual RenderObject * | lastChild () const
RenderObject * | objectBelow () const
RenderObject * | objectAbove () const
virtual void | addChild (RenderObject *newChild, RenderObject *beforeChild=0)
void | removeChild (RenderObject *oldChild)
virtual RenderObject * | removeChildNode (RenderObject *child)
virtual void | appendChildNode (RenderObject *child)
virtual void | insertChildNode (RenderObject *child, RenderObject *before)
virtual const char * | renderName () const
QString | information () const
virtual void | printTree (int indent=0) const
virtual void | dump (QTextStream *stream, QString ind="") const
virtual bool | childrenInline () const
virtual bool | isRendered () const
virtual bool | isFlow () const
virtual bool | isListItem () const
virtual bool | isRoot () const
virtual bool | isBR () const
virtual bool | isHtml () const
virtual bool | isTableCell () const
virtual bool | isTableRow () const
virtual bool | isTableSection () const
virtual bool | isTableCol () const
virtual bool | isTable () const
virtual bool | isWidget () const
virtual bool | isBody () const
virtual bool | isFormElement () const
virtual bool | isFrameSet () const
virtual bool | isApplet () const
bool | isAnonymousBox () const
void | setIsAnonymousBox (bool b)
bool | isFloating () const
bool | isPositioned () const
bool | isRelPositioned () const
bool | isText () const
bool | isInline () const
bool | mouseInside () const
bool | isReplaced () const
bool | hasSpecialObjects () const
bool | layouted () const
bool | minMaxKnown () const
bool | overhangingContents () const
bool | hasFirstLine () const
bool | isSelectionBorder () const
bool | recalcMinMax () const
RenderRoot * | root () const
DOM::NodeImpl * | element () const
RenderObject * | container () const
| returns the object containing this one.
void | setOverhangingContents (bool p=true)
void | setLayouted ()
void | setLayouted (bool b)
void | setLayoutedLocal (bool b)
void | setMinMaxKnown (bool b=true)
void | setPositioned (bool b=true)
void | setRelPositioned (bool b=true)
void | setFloating (bool b=true)
void | setInline (bool b=true)
void | setMouseInside (bool b=true)
void | setSpecialObjects (bool b=true)
void | setRenderText ()
void | setReplaced (bool b=true)
void | setIsSelectionBorder (bool b=true)
void | scheduleRelayout ()
virtual short | lineHeight (bool firstLine) const
virtual short | verticalPositionHint (bool firstLine) const
virtual short | baselinePosition (bool firstLine) const
virtual void | paint (QPainter *p, int x, int y, int w, int h, int tx, int ty)
virtual void | paintObject (QPainter *, int, int, int, int, int, int)
void | paintBorder (QPainter *p, int _tx, int _ty, int w, int h, const RenderStyle *style, bool begin=true, bool end=true)
void | paintOutline (QPainter *p, int _tx, int _ty, int w, int h, const RenderStyle *style)
virtual void | calcMinMaxWidth ()
void | recalcMinMaxWidths ()
virtual void | calcWidth ()
virtual void | layout ()=0
virtual void | updateFromElement ()
virtual void | close ()
virtual int | availableHeight () const
virtual FindSelectionResult | checkSelectionPoint (int _x, int _y, int _tx, int _ty, DOM::NodeImpl *&, int &offset)
virtual bool | nodeAtPoint (NodeInfo &info, int x, int y, int tx, int ty)
virtual void | setStyle (RenderStyle *style)
RenderObject * | containingBlock () const
virtual short | containingBlockWidth () const
virtual int | containingBlockHeight () const
virtual short | contentWidth () const
virtual int | contentHeight () const
virtual short | intrinsicWidth () const
virtual int | intrinsicHeight () const
virtual void | setPos (int, int)
virtual void | setWidth (int)
virtual void | setHeight (int)
virtual int | xPos () const
virtual int | yPos () const
virtual bool | absolutePosition (int &, int &, bool fixed=false)
virtual short | width () const
virtual int | height () const
virtual short | marginTop () const
virtual short | marginBottom () const
virtual short | marginLeft () const
virtual short | marginRight () const
int | paddingTop () const
int | paddingBottom () const
int | paddingLeft () const
int | paddingRight () const
int | borderTop () const
int | borderBottom () const
int | borderLeft () const
int | borderRight () const
virtual short | minWidth () const
virtual short | maxWidth () const
RenderStyle * | style () const
RenderStyle * | style (bool firstLine) const
void | drawBorder (QPainter *p, int x1, int y1, int x2, int y2, BorderSide s, QColor c, const QColor &textcolor, EBorderStyle style, int adjbw1, int adjbw2, bool invalidisInvert=false)
virtual void | repaint ()
virtual void | repaintRectangle (int x, int y, int w, int h, bool f=false)
virtual unsigned int | length () const
virtual bool | isHidden () const
bool | isSpecial () const
virtual bool | containsSpecial ()
virtual bool | hasOverhangingFloats ()
virtual void | position (int, int, int, int, int, bool, bool, int)
virtual SelectionState | selectionState () const
virtual void | setSelectionState (SelectionState)
virtual void | cursorPos (int, int &, int &, int &)
virtual int | lowestPosition () const
virtual int | rightmostPosition () const
virtual void | calcVerticalMargins ()
void | removeFromSpecialObjects ()
| this method is unused
virtual void | detach ()
const QFont & | font (bool firstLine) const
const QFontMetrics & | fontMetrics (bool firstLine) const
## Static Public Member Functions
RenderObject * | createObject (DOM::NodeImpl *node, RenderStyle *style)
## Protected Member Functions
virtual void | selectionStartEnd (int &spos, int &epos)
virtual void | paintBoxDecorations (QPainter *, int, int, int, int, int, int)
virtual QRect | viewRect () const
void | remove ()
void | invalidateVerticalPositions ()
short | getVerticalPosition (bool firstLine) const
virtual void | removeLeftoverAnonymousBoxes ()
## Friends
class | RenderListItem
class | RenderContainer
class | RenderRoot

## Detailed Description

Base Class for all rendering tree objects.

Definition at line 73 of file render_object.h.

## Member Function Documentation

RenderObject * RenderObject::container | ( |  | ) | const

| returns the object containing this one. can be different from parent for positioned elements Definition at line 795 of file render_object.cpp.

void RenderObject::removeFromSpecialObjects | ( |  | ) |

| this method is unused Definition at line 818 of file render_object.cpp. References isFlow(), and parent().

The documentation for this class was generated from the following files:

- render_object.h
- render_object.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001